{
  "name": "cstb-next",
  "version": "0.0.1",
  "private": true,
  "author": {
    "name": "Purp1e",
    "email": "zx8244@qq.com"
  },
  "scripts": {
    "next-start": "cross-env BROWSER=none next dev --turbo",
    "next-build": "next build",
    "tauri": "tauri",
    "build": "tauri build",
    "build-fast": "tauri build -b nsis -- --profile dev",
    "dev": "tauri dev",
    "lint": "next lint",
    "fix": "next lint --fix"
  },
  "dependencies": {
    "@formkit/auto-animate": "^0.8.2",
    "@heroui/react": "^2.7.5",
    "@icon-park/react": "^1.4.2",
    "@reactuses/core": "6.0.1",
    "@supabase/ssr": "0.6.1",
    "@tauri-apps/api": "2.4.0",
    "@tauri-apps/plugin-autostart": "^2.2.0",
    "@tauri-apps/plugin-cli": "~2",
    "@tauri-apps/plugin-clipboard-manager": "2.2.2",
    "@tauri-apps/plugin-deep-link": "~2.2.0",
    "@tauri-apps/plugin-dialog": "~2.2.0",
    "@tauri-apps/plugin-fs": "2.2.0",
    "@tauri-apps/plugin-global-shortcut": "2.2.0",
    "@tauri-apps/plugin-http": "2.4.2",
    "@tauri-apps/plugin-notification": "2.2.2",
    "@tauri-apps/plugin-os": "2.2.1",
    "@tauri-apps/plugin-process": "2.2.0",
    "@tauri-apps/plugin-shell": "2.2.0",
    "@tauri-apps/plugin-store": "^2.2.0",
    "@tauri-store/valtio": "2.1.1",
    "@types/throttle-debounce": "^5.0.2",
    "ahooks": "^3.8.4",
    "framer-motion": "^12.5.0",
    "next": "15.2.3",
    "next-themes": "^0.4.6",
    "react": "^19.0.0",
    "react-dom": "^19.0.0",
    "react-markdown": "^10.1.0",
    "remark-gfm": "^4.0.1",
    "swr": "^2.3.3",
    "tauri-plugin-system-info-api": "^2.0.10"
  },
  "devDependencies": {
    "@tauri-apps/cli": "^2.4.0",
    "@testing-library/dom": "^10.4.0",
    "@testing-library/jest-dom": "^6.6.3",
    "@testing-library/react": "^16.2.0",
    "@testing-library/user-event": "^14.6.1",
    "@types/jest": "^29.5.14",
    "@types/node": "^22.13.13",
    "@types/react": "19.0.10",
    "@types/react-dom": "19.0.4",
    "@typescript-eslint/eslint-plugin": "^8.28.0",
    "@typescript-eslint/parser": "^8.28.0",
    "autoprefixer": "^10.4.21",
    "clsx": "^2.1.1",
    "cross-env": "^7.0.3",
    "cssnano": "^7.0.6",
    "eslint": "9.23.0",
    "eslint-config-next": "15.2.3",
    "lint-staged": "^15.5.0",
    "postcss": "^8.5.3",
    "postcss-import": "^16.1.0",
    "postcss-nesting": "^13.0.1",
    "tailwind-merge": "3.0.2",
    "tailwindcss": "3.4.17",
    "typescript": "^5.8.2"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}